> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qminder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Editing a line



## OpenAPI

````yaml /api-reference/openapi.json post /v1/lines/{id}
openapi: 3.1.0
info:
  title: Qminder API
  version: '1.0'
  description: >-
    The Qminder API allows you to integrate queue management into your own
    applications.
servers:
  - url: https://api.qminder.com
security:
  - sec0: []
tags:
  - name: Locations
    description: Manage physical service locations
  - name: Lines
    description: Manage virtual queues within locations
  - name: Input Fields
    description: Manage custom data fields for locations
  - name: Tickets
    description: Manage visitor queue entries
  - name: Appointments
    description: Manage scheduled appointments
  - name: Users
    description: Manage user accounts and permissions
  - name: Webhooks
    description: Manage webhook subscriptions
paths:
  /v1/lines/{id}:
    post:
      tags:
        - Lines
      summary: Editing a line
      operationId: editing-a-line
      parameters:
        - name: id
          in: path
          description: ID of a Line
          schema:
            type: integer
            format: int32
            default: 123
          required: true
        - name: Content-Type
          in: header
          schema:
            type: string
            default: application/x-www-form-urlencoded
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the Line. The maximum length is 30 characters.
                  default: My New Cool Line
                color:
                  type: string
                  enum:
                    - VIOLET
                    - LAVENDER
                    - MARSHMALLOW
                    - TEAL
                    - MINT
                    - CORAL
                    - YELLOW
                    - ROSE
                    - INDIGO
                    - BLUE
                  description: >-
                    The color of the Line. Must be one of the predefined color
                    values.
                  default: VIOLET
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the Line. The maximum length is 30 characters.
                  default: My New Cool Line
                color:
                  type: string
                  enum:
                    - VIOLET
                    - LAVENDER
                    - MARSHMALLOW
                    - TEAL
                    - MINT
                    - CORAL
                    - YELLOW
                    - ROSE
                    - INDIGO
                    - BLUE
                  description: >-
                    The color of the Line. Must be one of the predefined color
                    values.
                  default: VIOLET
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "statusCode": 200
                    }
              schema:
                type: object
                properties:
                  statusCode:
                    type: integer
                    example: 200
                    default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: X-Qminder-REST-API-Key
      x-default: yourbusinessapikey

````